/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "CITSapplMgmtIDs"
 * 	found in "../CITSapplMgmtIDs.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_Ext2_H_
#define	_Ext2_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>
#include "Ext3.h"
#include <constr_CHOICE.h>

#ifdef __cplusplus
extern "C" {
#endif

/* Dependencies */
typedef enum Ext2_PR {
	Ext2_PR_NOTHING,	/* No components present */
	Ext2_PR_content,
	Ext2_PR_extension
} Ext2_PR;

/* Ext2 */
typedef struct Ext2 {
	Ext2_PR present;
	union Ext2_u {
		long	 content;
		Ext3_t	 extension;
	} choice;
	
	/* Context for parsing across buffer boundaries */
	asn_struct_ctx_t _asn_ctx;
} Ext2_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_Ext2;

#ifdef __cplusplus
}
#endif

#endif	/* _Ext2_H_ */
#include <asn_internal.h>
